| Kea 3.0.2-git

timer_mgr.h File Reference
`#include <asiolink/interval_timer.h>`
`#include <boost/noncopyable.hpp>`
`#include <boost/shared_ptr.hpp>`
`#include <string>`
Include dependency graph for timer_mgr.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | isc::dhcp::TimerMgr
| Manages a pool of asynchronous interval timers. More...

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::dhcp

## Typedefs
typedef boost::shared_ptr< TimerMgrImpl > | isc::dhcp::TimerMgrImplPtr
typedef boost::shared_ptr< TimerMgr > | isc::dhcp::TimerMgrPtr
| Type definition of the shared pointer to `TimerMgr`.